commit: ad61c146388ee8214371d99feb07e92e01de4de4
Author: Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 24 12:00:36 2016 +0000
Commit: Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Sun Jan 24 12:00:36 2016 +0000
URL: https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=ad61c146
dev-lang/python: disable building pythonlauncher and idle, for it gives
problems on 10.11 and they are useless
Package-Manager: portage-2.2.20-prefix
dev-lang/python/python-3.4.3-r5.ebuild | 7 ++++---
dev-lang/python/python-3.5.1.ebuild | 7 ++++---
2 files changed, 8 insertions(+), 6 deletions(-)
diff --git a/dev-lang/python/python-3.4.3-r5.ebuild
b/dev-lang/python/python-3.4.3-r5.ebuild
index b7f35bc..925d78f 100644
--- a/dev-lang/python/python-3.4.3-r5.ebuild
+++ b/dev-lang/python/python-3.4.3-r5.ebuild
@@ -278,9 +278,10 @@ src_install() {
# avoid config.status to be triggered
find Mac -name "Makefile" -exec touch \{\} + || die
- emake DESTDIR="${D}" -C Mac \
- install_Python install_PythonLauncher install_IDLE \
- || die
+ # Python_Launcher is kind of a wrapper, and we should fix it for
+ # Prefix (it uses /usr/bin/pythonw) so useless
+ # IDLE doesn't run, no idea, but definitely not used
+ emake DESTDIR="${D}" -C Mac install_Python || die
local
fwdir=/usr/$(get_libdir)/Python.framework/Versions/${PYVER}
ln -s "${EPREFIX}"/usr/include/python${PYVER} \
diff --git a/dev-lang/python/python-3.5.1.ebuild
b/dev-lang/python/python-3.5.1.ebuild
index f81884e..31eae0e 100644
--- a/dev-lang/python/python-3.5.1.ebuild
+++ b/dev-lang/python/python-3.5.1.ebuild
@@ -287,9 +287,10 @@ src_install() {
# avoid config.status to be triggered
find Mac -name "Makefile" -exec touch \{\} + || die
- emake DESTDIR="${D}" -C Mac \
- install_Python install_PythonLauncher install_IDLE \
- || die
+ # Python_Launcher is kind of a wrapper, and we should fix it for
+ # Prefix (it uses /usr/bin/pythonw) so useless
+ # IDLE doesn't run, no idea, but definitely not used
+ emake DESTDIR="${D}" -C Mac install_Python || die
local
fwdir=/usr/$(get_libdir)/Python.framework/Versions/${PYVER}
ln -s "${EPREFIX}"/usr/include/python${PYVER} \